/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
* {
    -webkit-tap-highlight-color: rgba(0,0,0,0); /* make transparent link selection, adjust last value opacity 0 to 1.0 */
}

body {
    -webkit-touch-callout: none;                /* prevent callout to copy image, etc when tap to hold */
    -webkit-text-size-adjust: none;             /* prevent webkit from resizing text to fit */
    -webkit-user-select: none;                  /* prevent copy paste, to allow, change 'none' to 'text' */
    background-color:#C0BEB2;
    font-family: 'syntax-regular', 'themix-light', sans-serif;
    font-size:12px;
    height:100%;
    margin:0;
    padding:0;
    width:100%;
}

/* Portrait layout (default) */
.app {
    position:absolute;             /* position in the center of the screen */
    margin: 0 auto;
    top:10vh;
    left: 10vw;
    height:30vh;                   /* text area height */
    width: 80vw;                   /* text area width */
    text-align:center;
    padding:230px 0px 0px 0px;     /* image height is 225 (bottom 20px are overlapped with text) */
    /* margin: -190px 0px 0px -150px; */ /* offset vertical: half of image height and text area height */
}

img.logo-startscreen {
    width: 90%;
    margin: 0 auto;
}

a#launch-demo {
    background-color: #817E65;
    font-family: 'themix-light', sans-serif;
    color: white;
    margin: 20px auto;
}

h1.app-title {
    color: #F2F2EF;
}

/* Landscape layout (with min-width) */
@media screen and (min-aspect-ratio: 1/1) and (min-width:400px) {
    .app {
        background-position:left center;
        padding:75px 0px 75px 170px;  /* padding-top + padding-bottom + text area = image height */
        margin:-90px 0px 0px -198px;  /* offset vertical: half of image height */
                                      /* offset horizontal: half of image width and text area width */
    }
}

h1 {
    font-size:24px;
    font-weight:normal;
    margin:0px;
    overflow:visible;
    padding:0px;
    text-align:center;
    color: white;
    font-family: 'themix-light', sans-serif;
}

p {
    color: white;
}

.subtext {
    font-size: 12px;
    margin: 0;
    color: #F2F2EF;
}
.event {
    border-radius:4px;
    -webkit-border-radius:4px;
    color:#FFFFFF;
    font-size:12px;
    margin:0px 30px;
    padding:2px 0px;
}

.event.listening {
    background-color:#333333;
    display:block;
}

.event.received {
    background-color:#4B946A;
    display:none;
}

@keyframes fade {
    from { opacity: 1.0; }
    50% { opacity: 0.4; }
    to { opacity: 1.0; }
}

@-webkit-keyframes fade {
    from { opacity: 1.0; }
    50% { opacity: 0.4; }
    to { opacity: 1.0; }
}

.blink {
    animation:fade 3000ms infinite;
    -webkit-animation:fade 3000ms infinite;
}



/* Overlay Styles */

body {
    width: 100vw;
}

div.app {
    margin: 0 auto;
    padding: 0;
}

div#content-overlay {
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0.9;
    display: none;
    width: 100vw;
    height: 100vh;
    background: #ECECE8;
    padding: 10px;
}

h1#overlay-title {
    padding-top: 20px;
}

button#close-overlay {
    position: absolute;
    top: 5px;
    right: 0;
}

/* Pulsating Button */

.ring-container {
    position: relative;
}

.circle {
    width: 15px;
    height: 15px;
    background-color: #62bd19;
    border-radius: 50%;
    position: absolute;
    top: 23px;
    left: 23px;
}

.ringring {
    border: 3px solid #62bd19;
    -webkit-border-radius: 30px;
    height: 25px;
    width: 25px;
    position: absolute;
    left: 15px;
    top: 15px;
    -webkit-animation: pulsate 1s ease-out;
    -webkit-animation-iteration-count: infinite;
    opacity: 0.0
}
@-webkit-keyframes pulsate {
    0% {-webkit-transform: scale(0.1, 0.1); opacity: 0.0;}
    50% {opacity: 1.0;}
    100% {-webkit-transform: scale(1.2, 1.2); opacity: 0.0;}
}

/* Infobox Styles */

div.info {
    padding: 5px;
    margin: 0 auto;
    background: rgba(255,255,255,0.8);
    border-radius: 2px;
}

p.text {
    margin: 0;
    padding: 5px;
    text-align: center;
}
